﻿using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;

namespace XamDataGridAddNewCancelSample
{
    public class Rows : BindingObservableCollection<Row>
    {
        public static Rows GetDemoRows()
        {
            var rows = new List<Row>
            {
                new Row {Number = 1, Text = "one"}, 
                new Row {Number = 2, Text = "two"},
                new Row {Number = 3, Text = "three"},
            };

            return new Rows(rows);
        }

        public Rows(IEnumerable<Row> rows) : base(rows, NewRow)
        {
        }

        private static Row NewRow()
        {
            return new Row();
        }
    }
}